<?php
/**
 * Plugin Name: Anymag Core
 * Plugin URI: http://3styler.net
 * Description: This plugin enables core functions for Anymag Theme.
 * Version: 3.0.0
 * Author: 3Styler
 * Author URI: http://3styler.net
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' ); // No direct access allowed
include_once ABSPATH . 'wp-admin/includes/plugin.php';

    define('TS_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
    define('TS_PLUGIN_URL', plugin_dir_url( __FILE__ ) );

    /* Base paths */
    
    if( !defined('TS_THEMEPREFIX') ) define('TS_THEMEPREFIX', 'anymag');
    if( !defined('TS_FRAMEWORK_VAR') ) define('TS_FRAMEWORK_VAR', 'anymag_theme');

    function anymag_shortcodes_scripts() {  
      wp_register_script('infinite-scroll', get_template_directory_uri() . '/assets/js/infinite-scroll.pkgd.min.js', array('jquery'), '2.1.0', true);
    }
    add_action( 'wp_enqueue_scripts', 'anymag_shortcodes_scripts' );



    class Anymag_Theme_Functions {

      public function __construct() {

        require_once(TS_PLUGIN_PATH.'/widgets.php');
        require_once(TS_PLUGIN_PATH.'includes/hooks-loader.php');
        require_once(TS_PLUGIN_PATH.'includes/shortcodes.php');

        if ( is_plugin_active('elementor/elementor.php') ) {

          include_once ( TS_PLUGIN_PATH.'elementor/register-elementor.php' );
          
          add_action('elementor/editor/before_enqueue_scripts', function() {
            wp_enqueue_media();
                wp_enqueue_script(
              'image-select',
              TS_PLUGIN_URL.'js/image-select.js',
              array(),
              1.0
            );
          });

        }

        if(!function_exists('anymag_is_elementor_editor')){
          function anymag_is_elementor_editor(){
            if( is_plugin_active('elementor/elementor.php') ){
              if( \Elementor\Plugin::$instance->editor->is_edit_mode() ) {
                return true;
              } else {
                return false;
              }
            } else {
              return false;
            }
          }
        }
      }

      public function remove_woocommerce_hook(){
        remove_filter( 'woocommerce_product_loop_start', 'woocommerce_maybe_show_product_subcategories' );
      }
  }  

	new Anymag_Theme_Functions();
  function anymag_load_hooks() {
    $plugin = new Anymag_LoadHooks();
    $plugin->run();
  }
  anymag_load_hooks();

?>