<?php
class Anymag_LoadHooks {

	protected $loader;
	protected $plugin_name;
	protected $version;
	protected $extensions = array();

	public function __construct() {
		$this->load_dependencies();
		$this->define_public_hooks();
 	}

	private function load_dependencies() {
		$plugin_dir_path = plugin_dir_path( dirname( __FILE__ ) );
		$this->loader = new Hooks_Loader();
	}

	private function define_public_hooks() {
		$plugin_public = new Anymag_Theme_Functions();
		$this->loader->add_action('woocommerce_loaded', $plugin_public, 'remove_woocommerce_hook');
	}

	public function run() {
		$this->loader->run();
	}

}

class Hooks_Loader {

	protected $actions;
	protected $filters;

	public function __construct() {

		$this->actions = array();
		$this->filters = array();

	}

	public function add_action( $hook, $component, $callback, $priority = 10, $args = 1 ) {
		$this->actions = $this->add( $this->actions, $hook, $component, $callback, $priority, $args );
	}

	private function add( $hooks, $hook, $component, $callback, $priority, $args ) {

		$hooks[] = array(
			'hook'          => $hook,
			'component'     => $component,
			'callback'      => $callback,
		);
		return $hooks;
	
	}

	public function run() {
		foreach ( $this->actions as $hook ) {
			add_action( $hook['hook'], array( $hook['component'], $hook['callback'] ));
		}
	}

}