<?php
// Creating the widget 
class anymag_simple_line_widget extends WP_Widget {
  
public function __construct() {

  $widget_ops = array('description' => __('Display cover heading.', 'anymag-core') );
  $control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'cover_line' );	
	parent::__construct('cover_line', __('(Anymag) Simple Cover Line', 'anymag-core', $widget_ops, $control_ops), 
	  
	// Widget description
	array( 'description' => __( 'Display cover heading.', 'anymag-core' ), ) 
    );
    add_action('admin_enqueue_scripts', array($this, 'admin_setup'));
    add_action( 'admin_footer-widgets.php', array( $this, 'print_scripts' ), 9999 );
}
  
// Creating widget front-end

  public function admin_setup() {
    global $pagenow;
    if($pagenow !== 'widgets.php' && $pagenow !== 'customize.php') return;
    wp_enqueue_media();
    wp_register_style( 'namespace', TS_PLUGIN_URL.'css/plugins-style.css' );
    wp_enqueue_style( 'namespace' );
    wp_enqueue_style( 'wp-color-picker' );
    wp_enqueue_script( 'wp-color-picker' );
  }
  public function print_scripts() {
    ?>
      <script>
        ( function( $ ){
            function initColorPicker( widget ) {
                widget.find( '.color-picker' ).wpColorPicker( {
                    change: _.throttle( function() { // For Customizer
                        $(this).trigger( 'change' );
                    }, 3000 )
                });
            }
            function onFormUpdate( event, widget ) {
                initColorPicker( widget );
            }
            $( document ).on( 'widget-added widget-updated', onFormUpdate );
            $( document ).ready( function() {
                $( '#widgets-right .widget:has(.color-picker)' ).each( function () {
                    initColorPicker( $( this ) );
                } );
            } );
        }( jQuery ) );
      </script>
    <?php
  }
  
public function widget( $args, $instance ) {
extract($args); 
$title = apply_filters( 'widget_title', $instance['title'] );
$header_url =  ( ! empty( $instance['header_link'] ) );
$fontname = ( ! empty( $instance['fontname'] ) ) ? $instance['fontname'] : '';
if ($fontname == ''){
$font = ( ! empty( $instance['font'] ) ) ? $instance['font'] : 'Bitter';
}
else {
 $font = '"'.$fontname.'"';
}
$fontsize = ( ! empty( $instance['fontsize'] ) ) ? $instance['fontsize'] : '37';
$hdr_color = ( ! empty( $instance['titlecolor'] ) ) ? $instance['titlecolor'] : '#000';
$fontweight = ( ! empty( $instance['font-weight'] ) ) ? $instance['font-weight'] : '400';
$line_tag =  ( ! empty( $instance['linetag'] ) ) ? $instance['linetag'] : '';
?>


<?php
$post = get_post();
$tags = get_the_tags($post->ID);
$post_tag = '';
if ( $tags ) {
foreach($tags as $tag)
  {
    $post_tag = $tag->name;
  }
}

$widid = $this->id;
$styleenq= 'google-fonts-anymag-cover'.$widid;

if ($fontname) {
  $fontname = str_replace(' ', '+', $fontname);
  $fontname = str_replace('"', '', $fontname);
   wp_enqueue_style( $styleenq, esc_url("//fonts.googleapis.com/css?family=".$fontname.":wght@".$fontweight), array(), NULL, 'all' );
}
else 
{
   wp_enqueue_style( $styleenq, esc_url("//fonts.googleapis.com/css?family=".$font.":wght@".$fontweight), array(), NULL, 'all' );
}



  if ( $post_tag == $line_tag ){
    // before and after widget arguments are defined by themes
    echo $before_widget;
    if ( $title !='' ) echo ''.$before_title . $title . $after_title;
  ?>
  <div class="cover-title">
    <div class="widget-content">
      <?php   
      if (!empty($title)) {
        echo '<h1 style="font-family:'.esc_html__($font, 'anymag-core').';font-size:'.$fontsize.'px;">
          <a href="'.esc_url($instance['header_link']).'" style="color:'.$hdr_color.';font-weight:'.$fontweight.'" class="cvr-heading">'.$title.'</a></h1>';
        }
      ?>
    </div>
  </div>
  <?php
  echo $after_widget;
  }


else {
  if ( !$line_tag ) {
    // before and after widget arguments are defined by themes
    echo $before_widget;
  ?>
  <div class="cover-title">
    <div class="widget-content">
      <?php   
      if (!empty($title)) {
        echo '<h3 style="font-family:'.esc_html__($font, 'anymag-core').';font-size:'.$fontsize.'px;">
          <a href="'.esc_url($instance['header_link']).'" style="color:'.$hdr_color.';font-weight:'.$fontweight.'" class="cvr-heading">'.$title.'</a></h3>';
        }
      ?>
    </div>
  </div>
  <?php
  echo $after_widget;
  }
}


}

// Widget Backend 
public function form( $instance ) {

      $google_fonts = array('Anton', 'Barlow', 'Bitter', 'Cookie', 'Lato', 'Kanit', 'Mali', 'Mitr', 'Nunito', 'Oswald', 'Playfair Display', 'Poppins', 'Pridi', 'Pattaya', 'Roboto', 'Teko', 'Titillium Web');
      $defaults = array('title' => '', 'header_link' => '', 'fontsize' => '33', 'titlecolor' => '#fff', 'linetag'=> '', 'fontname'=> '');
      $instance = wp_parse_args((array) $instance, $defaults); 
    ?>
      <p>            
        <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Heading' ); ?></label>
        <input class="widefat" type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>"/>
      </p>

      <p>            
        <label for="<?php echo $this->get_field_id( 'fontname' ); ?>"><?php _e( 'Google Font Name' ); ?></label>
        <input class="widefat" type="text" id="<?php echo $this->get_field_id( 'fontname' ); ?>" name="<?php echo $this->get_field_name( 'fontname' ); ?>" value="<?php echo $instance['fontname']; ?>"/>
      </p>

      <p>  
      <label for="<?php echo $this->get_field_id( 'font' ); ?>"><?php _e( 'Select Font' ); ?></label>
        <select class="widefat" type="text" id="<?php echo $this->get_field_id( 'font' ); ?>" name="<?php echo $this->get_field_name( 'font' ); ?>">
            <?php
              foreach($google_fonts as $key => $value):
              if ($value == $instance['font'])
                echo '<option value="'.$value.'" selected>'.$value.'</option>'; //close your tags
              else
                echo '<option value="'.$value.'">'.$value.'</option>'; //close your tags
              endforeach;
            ?>
        </select>   
      </p>

      <p>
         <label for="<?php echo $this->get_field_id( 'fontsize' ); ?>"><?php _e( 'Font size' ); ?></label>
        <input class="widefat" type="text" name="<?php echo $this->get_field_name( 'fontsize' ); ?>" value="<?php echo esc_attr($instance['fontsize']); ?>"/>
      </p>

      <p>  
      <label for="<?php echo $this->get_field_id( 'font-weight' ); ?>"><?php _e( 'Font-weight' ); ?></label>
        <?php
              $options = array(
              '200'  => esc_html__('200', 'anymag-core'),
              '400'  => esc_html__('400', 'anymag-core'),
              '600'  => esc_html__('600', 'anymag-core'),
              '800'  => esc_html__('800', 'anymag-core')
          );
           if(isset($instance['font-weight'])) $font_weight = $instance['font-weight'];
        ?>        
        <select class="widefat" type="text" id="<?php echo $this->get_field_id( 'font-weight' ); ?>" name="<?php echo $this->get_field_name( 'font-weight' ); ?>">
                <?php
                $op = '<option value="%s"%s>%s</option>';
                foreach ($options as $key=>$value ) {
                    if ($value === $font_weight) {
                        printf($op, $key, ' selected="selected"', $value);
                    } else {
                        printf($op, $key, '', $value);
                    }
                }
                ?>

        </select>   
      </p>

      <p>
        <label for="<?php echo $this->get_field_id( 'titlecolor' ); ?>"><?php _e( 'Heading Color' ); ?></label><br>
        <input type="text" name="<?php echo $this->get_field_name( 'titlecolor' ); ?>" class="color-picker" id="<?php echo $this->get_field_id( 'titlecolor' ); ?>" value="<?php echo esc_attr($instance['titlecolor']); ?>" data-default-color="#fff" />
      </p>

      <p>            
        <label for="<?php echo $this->get_field_id( 'header_link' ); ?>"><?php _e( 'Cover Line Url' ); ?></label>
        <input class="widefat" type="text" id="<?php echo $this->get_field_id( 'header_link' ); ?>" name="<?php echo $this->get_field_name( 'header_link' ); ?>" value="<?php echo $instance['header_link']; ?>"/>
      </p>
      <?php if (get_theme_mod( 'anymag_multiple_issues' )) : ?>
      <p>            
        <label for="<?php echo $this->get_field_id( 'linetag' ); ?>"><?php _e( 'Tag' ); ?></label>
        <input class="widefat" type="text" id="<?php echo $this->get_field_id( 'linetag' ); ?>" name="<?php echo $this->get_field_name( 'linetag' ); ?>" value="<?php echo $instance['linetag']; ?>"/>
      </p>
      <?php endif ?>

<?php 
}
      
// Updating widget replacing old instances with new
  function update( $new_instance, $old_instance ) { 
    $instance = $old_instance; 
    $instance['header_link'] = $new_instance['header_link'];
    $instance['title'] = $new_instance['title'];
    $instance['font'] = strip_tags( $new_instance['font'] );
    $instance['titlecolor'] = strip_tags( $new_instance['titlecolor'] );
    $instance['fontsize'] = strip_tags( $new_instance['fontsize'] );
    $instance['font-weight'] = strip_tags( $new_instance['font-weight'] );
    $instance['linetag'] = strip_tags( $new_instance['linetag'] );
    $instance['fontname'] = strip_tags( $new_instance['fontname'] );
    return $instance;
  }
 
// Class anymag_simple_line_widget ends here
} 
 
 
// Register and load the widget
function wpb_load_widget() {
    register_widget( 'anymag_simple_line_widget' );
}
add_action( 'widgets_init', 'wpb_load_widget' );
?>