<?php
if ( ! class_exists( 'anymag_social_widget' ) ) {

 class anymag_social_widget extends WP_Widget {

    // Widget setup

    public $socials = array(
    'facebook' => array(
        'title' => 'facebook',
        'name' => 'facebook_username',
        'link' => '*',
        'icon'=>'fab fa-facebook-f',
    ),
    'twitter' => array(
        'title' => 'twitter',
        'name' => 'twitter_username',
        'link' => '*',
        'icon'=>'fab fa-twitter',
    ),
    'instagram' => array(
        'title' => 'instagram',
        'name' => 'instagram_username',
        'link' => '*',
        'icon'=>'fab fa-instagram',
    ),
    'youtube' => array(
        'title' => 'youtube',
        'name' => 'youtube_username',
        'link' => '*',
        'icon'=>'fab fa-youtube',
    ),
    'vimeo' => array(
        'title' => 'vimeo',
        'name' => 'vimeo_username',
        'link' => '*',
        'icon'=>'fab fa-vimeo-square',
    ),
    'linkedin' => array(
        'title' => 'linkedin',
        'name' => 'linkedin_username',
        'link' => '*',
        'icon'=>'fab fa-linkedin',
    ),
    'pinterest' => array(
        'title' => 'pinterest',
        'name' => 'pinterest_username',
        'link' => '*',
        'icon'=>'fab fa-pinterest',
    ),
    'dribbble' => array(
        'title' => 'dribbble',
        'name' => 'dribbble_username',
        'link' => '*',
        'icon'=>'fab fa-dribbble',
    ),
    'flickr'  => array(
        'title' => 'flickr',
        'name' => 'flickr_username',
        'link' => '*',
        'icon'=>'fab fa-flickr',
    ),
    'tumblr'  => array(
        'title' => 'tumblr',
        'name' => 'tumblr_username',
        'link' => '*',
        'icon'=>'fab fa-tumblr',
    ),
    'snapchat'  => array(
        'title' => 'snapchat',
        'name' => 'snapchat_username',
        'link' => '*',
        'icon'=>'fab fa-snapchat-ghost',
    ),
    'vk'  => array(
        'title' => 'vk',
        'name' => 'vk_username',
        'link' => '*',
        'icon'=>'fab fa-vk',
    ),
    'soundcloud'  => array(
        'title' => 'soundcloud',
        'name' => 'soundcloud_username',
        'link' => '*',
        'icon'=>'fab fa-soundcloud',
    ),
    'skype' => array(
        'title' => 'skype',
        'name' => 'skype_username',
        'link' => '*',
        'icon'=>'fab fa-skype',
    ),
    'telegram' => array(
        'title' => 'telegram',
        'name' => 'telegram_username',
        'link' => '*',
        'icon'=>'fab fa-telegram-plane',
    ),
    'rss' => array(
        'title' => 'rss',
        'name' => 'rss_username',
        'link' => '*',
        'icon'=>'fas fa-rss',
    )
  );
    
    function __construct() {
        $widget_ops = array( 'description' => __('A widget that displays your social links', 'anymag') );
        $control_ops = array( 'width' => 400, 'height' => 350, 'id_base' => 'anymag_social_widget' );
        parent::__construct( 'anymag_social_widget', __('(Anymag) Social Links', 'anymag'), $widget_ops, $control_ops );
    }

    // Widget Output
    function widget( $args, $instance ) {
    extract( $args );
    $title = apply_filters('widget_title', $instance['title']);
    echo $before_widget;
    if ( $title !='' ) echo $before_title . $title . $after_title;
    ?>
    <div class="social-widget">
      <?php   
        foreach ($this->socials as $key => $social) {
            if (!empty($instance[$social['name']])) {
                echo '<a href="' . str_replace('*', esc_attr($instance[$social['name']]), $social['link']) . '" target="_blank" title="' . esc_attr($key) . '" class="' . esc_attr($key) . '"><i class="' . esc_attr( $social['icon']) . '"></i></a>';
                }
            } 
        ?>
    </div>    
    <?php 
    echo $after_widget;
    }

    // Update
    function update( $new_instance, $old_instance ) {  
        $instance = $old_instance; 
        $instance = $new_instance;
        $instance['title'] = sanitize_text_field($new_instance['title']);
        return $instance;
    }

    // Backend Form
    function form($instance) {
    $defaults = array('title' => '');
    $instance = wp_parse_args((array) $instance, $defaults);
    ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php _e('Title:','anymag'); ?></label>
            <input type="text" class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" value="<?php echo esc_attr($instance['title']); ?>" />
        </p>
        <?php
            foreach ($this->socials as $key => $social) {
                ?>
                <p>
                <label for="<?php echo esc_attr($this->get_field_id($social['name'])); ?>"><?php echo esc_html($key); ?>:</label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id($social['name'])); ?>" type="text"
                    name="<?php echo esc_attr($this->get_field_name($social['name'])); ?>"
                    value="<?php echo isset($instance[$social['name']]) ? esc_attr($instance[$social['name']]) : ''; ?>"/>
                </p>
        <?php }
    }

}

// Add Widget  
  function anymag_social_widget_init() {
      register_widget( 'anymag_social_widget' );
  }
  add_action( 'widgets_init', 'anymag_social_widget_init' );

}
?>