<?php

namespace Anymag_framework;

use anymag_framework\widgets\anymag_blog;
use anymag_framework\widgets\anymag_title;
use anymag_framework\widgets\anymag_slider;
use anymag_framework\widgets\anymag_featcat;
use anymag_framework\widgets\anymag_random;
use anymag_framework\widgets\anymag_products;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Anymag_Register_Elementor {

	/**
	 * Constructor  *
	 * @since 1.0.0 *
	 * @access public
	 */
	public function __construct() {
		$this->add_actions();
	}

	/**
	 * Add Actions *
	 * @since 1.0.0 *
	 * @access private
	 */
	private function add_actions() {
	    add_action( 'elementor/elements/categories_registered', array( $this, 'add_theme_category' ) );
		  add_action( 'elementor/widgets/widgets_registered', [ $this, 'on_widgets_registered' ] );
		}

	public function add_theme_category(  ) {

	    \Elementor\Plugin::instance()->elements_manager->add_category(
	        'anymagtheme',
	        [
	          'title' => __( 'Anymag', 'anymag' ),
	          'icon' => 'fa fa-plug',
	        ]
	    );

	}


	/**
	 * On Widgets Registered *
	 * @since 1.0.0 *
	 * @access public
	 */
	public function on_widgets_registered() {
		$this->includes();
		$this->register_widget();
	}

	/**
	 * Includes *
	 * @since 1.0.0 *
	 * @access private
	 */
	
	private function includes() {
		
		require TS_PLUGIN_PATH . 'elementor/widgets/anymag-blog.php';
		require TS_PLUGIN_PATH . 'elementor/widgets/anymag-title.php';
		require TS_PLUGIN_PATH . 'elementor/widgets/anymag-slider.php';
		require TS_PLUGIN_PATH . 'elementor/widgets/anymag-featcat.php';
		require TS_PLUGIN_PATH . 'elementor/widgets/anymag-random.php';
    require TS_PLUGIN_PATH . 'elementor/widgets/anymag-products.php';
	}

	/**
	 * Register Widget *
	 * @since 1.0.0 *
	 * @access private
	 */
	private function register_widget() {
		
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new anymag_blog() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new anymag_title() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new anymag_slider() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new anymag_featcat() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new anymag_random() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new anymag_products() );
	
	}
	    
}

new Anymag_Register_Elementor();





