<?php
namespace Anymag_Framework\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Anymag_Title extends Widget_Base {

	public function get_name() {
		return 'anymag_title';
	}

	public function get_title() {
		return __( 'Anymag Title', 'anymag-core' );
	}

	public function get_icon() {
		return 'eicon-heading';
	}

	public function get_categories() {
		return [ 'anymagtheme' ];
	}

	public function get_script_depends() {
		return [ 'script-elementor' ];
	}

	protected function _register_controls() {
		$this->start_controls_section(
			'asw_section_posttitle',
			[
				'label' => __( 'Title', 'anymag-core' ),
			]
		);
		$this->add_control(
			'title_text',
			[
				'label' => esc_html__('Title', 'anymag-core'),
				'description' => esc_html__('Enter your title', 'anymag-core'),
				'type' => Controls_Manager::TEXT,
				'default' => 'Title text'
			]
		);
		$this->end_controls_section();
	}

	/**
	 * Render icon list widget output on the frontend.
	 *
	 * Written in PHP and used to generate the final HTML.
	 *
	 * @access protected
	 */
	protected function render() {
		$settings = $this->get_settings();
		extract(shortcode_atts(array(
			'title_text' => ''
	    ), $settings));
		$out = '';
		echo shortcode_unautop(do_shortcode('[show_title title="'.$title_text.'"]'));
	}
}
