<?php

function AnymagPostSlider($atts, $content = null){
  wp_enqueue_script('owl-carousel');
  wp_enqueue_style( 'owl-carousel' );
    extract(shortcode_atts(array(
    'title' => '',
    'slideshow' => 'true',
    'loop' => 'true',
    'autoplay' => 'true',
    'posts_number' => '5',
    'orderby' => 'date',
    'order' => 'DESC',
    'cat_slug' => '',
    'post_ids' => '',
    'category' => '',
    'show_nav' => 'true',
    'show_categories' => 'yes',
    'show_author' => 'yes',
    'show_avatar' => 'yes',
    'overlay' => 'yes',
    'tag' => '',
    'show_date' => 'yes'
    ), $atts));
    if($autoplay == 'no') {
      $autoplay = 'false';
    } else $autoplay = 'true';
    if($show_nav == 'no') {
        $show_nav = 'false';
    } else $show_nav = 'true';

  global $post;
  $catid='';
  if (is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
  } else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
  }
  if($paged == 1) {

  if ($category) {
    $slug = $category;
    $cat = get_category_by_slug($slug); 
    $catid = $cat->term_id;
  }

  $exclude_post= array();
  array_push($exclude_post, $post->ID);

  if($post_ids) {
    $post_ids = explode(',', $post_ids);
    $args = array( 
     'showposts' => $posts_number, 
     'post_type' => array('post', 'page'), 
     'post__in' => $post_ids, 
     'orderby' => 'post__in',
     'post_status'    => 'publish',
     'ignore_sticky_posts' => true 
    );
  } else {
    $args = array( 
    'showposts' => $posts_number,
    'post_type' => 'post',
    'cat' => $catid,
    'post_status'  => 'publish',
    'post__not_in'   => $exclude_post,
    'tag' => $tag,
    'ignore_sticky_posts' => true 
    );
  }
  $out = '';

  static $slider_id = 0;

  $owl_custom = 'jQuery(document).ready(function($){
    "use strict";
    setTimeout(function(){
      var owl = $("#slider-'.++$slider_id.'").owlCarousel(
        {
            items: "1",
            nav: '.$show_nav.',
            navText : ["<i class=\'fas fa-arrow-left\'></i>","<i class=\'fas fa-arrow-right\'></i>"],
            autoplay: '.$autoplay.',
            responsiveClass: true,
            loop: true,
            margin: 0,
            themeClass: "owl-post-slider",';
        $owl_custom .= '});';
    $owl_custom .= '}, 100);
  });';
  wp_add_inline_script('owl-carousel', $owl_custom);

  if (get_theme_mod('anymag_side_pattern', true)) {
    $ttlstyle = 'side-pattern';
  }

  if ($title) {
    $out = '<div class="section-title '.$ttlstyle.'"><h2>'.$title.'</h2></div>';
  }

  $the_query = new WP_Query( $args );
  
  if($the_query->have_posts()) {
    $out .= '<div id="slider-content"><div class="slider-area"><div id="slider-'.$slider_id.'" class="featured-carousel owl-carousel"> ';
    static $post_count = 0;
    while ($the_query->have_posts()) {
      $the_query->the_post();
      $post_count++;
      if( $the_query->current_post +1 == $the_query->post_count && $the_query->post_count % 2 != 0 ){
        $last = ' last-one';
      } else {
        $last = '';
      }
      $out .= '<div class="slide-item">';

      if($overlay != 'no'){
        $out .= '<div class="post-overlay"></div>';
      } 

       if(has_post_thumbnail()) {
          $get_feat_image = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'anymag-slide' );
          $feat_image = $get_feat_image[0];
        } else {
          $feat_image = get_template_directory_uri() . '/assets/img/slider-default.png';
        }

        $out .= '<div class="slide-content" style="background-image:url('.$feat_image.')"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark"></div>';

        $out .= '<div class="slide-text">';
            if($show_categories == 'yes'){
              $out .= '<div class="post-categs-box slider-meta"><div class="categ">'.get_the_category_list(' ').'</div></div>';
            }
            if (get_theme_mod('anymag_hover_style', true) == 'hover-underline') {
            $out .= '<div class="slide-title underline"><h3><a href="'.get_the_permalink().'" title="'.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.esc_attr(get_the_title()).'</a></h3></div>'; }
            else {
            $out .= '<div class="slide-title"><h3><a href="'.get_the_permalink().'" title=" '.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.esc_attr(get_the_title()).'</a></h3></div>'; }
            $out .= '<ul class="post-meta">';
              if($show_author == 'yes') {
                if($show_avatar == 'yes') {
                  $out .='<div class="author-avatar">'.get_avatar(get_the_author_meta('ID'),30).'</div>';
                 }
                $out .='<li class="post-author"><span class="author">'.get_the_author_posts_link().'</span></li>'; 
             }
            if( $show_date == 'yes' ){
              $out .= '<li class="list-date"><time datetime="'.esc_attr(date(DATE_W3C)).'">'.get_the_time(get_option('date_format')).'</time></li>';
            }
          $out .= '</ul>';
        $out .= '</div>';
        $out .= '</div>';
    }
    $out .= '</div></div></div>';
  }
  wp_reset_postdata();
  
  return $out;
  }  

}
add_shortcode('feat_slider', 'AnymagPostSlider');


function ShowRandomPosts($atts) {
  extract(shortcode_atts(array(
    'title' => '',
    'category' => '',
    'order' => '',
    'post_ids' => '',
    'show_date' => 'true',
    'exclude_posts' => '',
    'tag' => '',
    'style' => ''
    ), $atts));
  global $post;  
  $out = '';  
  $orig_post = $post;
  
  $catid='';

  if ($category && $category != 'all') {
    $slug = $category;
    $cat = get_category_by_slug($slug); 
    $catid = $cat->term_id;
  }

  if (is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
  } else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
  }
  if($paged == 1) {

  if ($order == 'date') {
    $order_by = 'date';
  }
  else { $order_by = 'rand'; }

  if($exclude_posts != '') {
    $exclude_posts = str_replace(' ', '', $exclude_posts);
    if (strpos($exclude_posts, ',') !== false){
      $exclude_posts = explode(',', $exclude_posts);
      array_push($exclude_posts, $post->ID);
    } else {
      $exclude_posts = array($exclude_posts);
      array_push($exclude_posts, $post->ID);
    }
  } else {
     $exclude_posts = array();
     array_push($exclude_posts, $post->ID);
  } 

  if($post_ids) {
    $post_ids = explode(',', $post_ids);
    $args = array( 
     'posts_per_page'   => 4, // Number of posts that will be shown.
     'post_type' => array('post', 'page'), 
     'post__in' => $post_ids, 
     'orderby' => 'post__in',
     'post_status'    => 'publish',
     'ignore_sticky_posts' => true 
    );
  } else
    $args = array(
      'posts_per_page'   => 4, // Number of posts that will be shown.
      'ignore_sticky_posts' => 1,
      'orderby' => $order_by,
      'post__not_in'   => $exclude_posts,
      'tag' => $tag,
      'cat' => $catid
    );

    $ttlstyle = '';
  
    if (get_theme_mod('anymag_side_pattern', true)) {
      $ttlstyle = 'side-pattern';
    }

    if ($title) {
      $out = '<div class="section-title '.$ttlstyle.'"><h2>'.$title.'</h2></div>';
    }

    $out = $out.'<div class="random-items three-fr">';
    
    $my_query = new wp_query($args);
    if($my_query->have_posts()) {
      while($my_query->have_posts()) {
        $my_query->the_post();
        $post_thumb = get_the_post_thumbnail( null, 'anymag-misc' );
        $post_ttl =  get_the_title();
        $post_date = get_the_time(get_option('date_format'));

        $out = $out.'<div class="item-random">';
          
          if ($post_thumb || $style == 'overlay') :   
            
            $out = $out.'<div class="random-image">
              <div class="overlay"></div>
              <a href="'.get_permalink().'">'.$post_thumb.'</a>
            </div>';
          
          endif;
            
            $out = $out.'<div class="random-ttl">
              <h5><a href="'.get_permalink().'">'.$post_ttl.'</a></h5>';
               if( $show_date == 'yes') {
                $out = $out.'<span class="widget-date">'.$post_date.'</span>';
               }  
           $out = $out.'</div></div>';
      }
    }
  $out = $out.'</div>';   
  
 $post = $orig_post;
  wp_reset_postdata();
  if ($style == 'overlay') {
    return '<div class="random-posts post-by-category shortcode overlayed">'.$out.'</div>';
  }
  else {
    return '<div class="random-posts post-by-category shortcode">'.$out.'</div>';
  }
 }
}

add_shortcode ('random_posts', 'ShowRandomPosts'); 


function ShowFeatCategory($atts) {
  extract(shortcode_atts(array(
    'title' => '',
    'category' => '',
    'post_ids' => '',
    'show_author' => 'no',
    'show_avatar' => 'no',
    'show_date' => '',
    'tag' => '',
    ), $atts));

  global $post;  
  $out = '';  
  $orig_post = $post;

  $catid='';
  $ttlstyle='';

  if ($category && $category != 'all') {
    $slug = $category;
    $cat = get_category_by_slug($slug); 
    $catid = $cat->term_id;
  }

  if (is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
  } else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
  }
  if($paged == 1) {

    global $post;

    if($post_ids) {
      $post_ids = explode(',', $post_ids);
      $args = array( 
       'posts_per_page'   => 4, // Number of posts that will be shown. 
       'post_type' => array('post', 'page'), 
       'post__in' => $post_ids, 
       'orderby' => 'post__in',
       'post_status'    => 'publish',
       'ignore_sticky_posts' => true 
      );
    } else
      $args = array(
      'posts_per_page'   => 4, // Number of posts that will be shown.
      'ignore_sticky_posts' => 1,
      'orderby' => 'date',
      'cat' => $catid,
      'tag' => $tag,
    );

    if (get_theme_mod('anymag_side_pattern', true)) {
      $ttlstyle = 'side-pattern';
    }
  
    if ($title) {
      $out = '<div class="section-title '.$ttlstyle.'"><h2>'.$title.'</h2></div> ';
    }

    $my_query = new wp_query($args);
    if($my_query->have_posts()) {
      $count='';
       while($my_query->have_posts()) {
        $my_query->the_post();
        $post_thumb = get_the_post_thumbnail( null, 'anymag-misc' );
        $post_ttl =  get_the_title();
        $post_date = get_the_time(get_option('date_format'));

        $count++;
   
        if($count == 1) {
            $out = $out.'<div class="feat-categ-item first">';
            $out = $out.'<div class="image-part">
              <div class="overlay"></div>
              <a href="'.get_permalink().'">'.$post_thumb.'</a>
            </div>';
          }
          else {
            $out = $out.'<div class="feat-categ-item">';  
            $out = $out.'<div class="image-part">
              <div class="overlay"></div>
              <a href="'.get_permalink().'">'.$post_thumb.'</a>
            </div>';
          }  

          if (get_theme_mod('anymag_hover_style', true) == 'hover-underline'){
            $ttlclass = 'feat-title underline';
          }
          else {$ttlclass = 'feat-title';}

            $out = $out.'<div class="content-part"><div class="the-content">
              <h5 class="'.$ttlclass.'"><a href="'.get_permalink().'">'.$post_ttl.'</a></h5>';
              if($show_author == 'yes' || $show_date == 'yes') {
              $out .='<ul class="post-meta">';  
              if($show_author == 'yes') {
                if($show_avatar == 'yes') {
                  $out .='<div class="author-avatar">'.get_avatar(get_the_author_meta('ID'),30).'</div>';
                }
                $out .='<li class="post-author"><span class="author">'.get_the_author_posts_link().'</span></li>'; 
             }
               if( $show_date == 'yes') {
                $out = $out.'<li class="list-date"><span class="widget-date">'.$post_date.'</span></li>';
               };
              }
              $out .='</ul>';
           $out = $out.'</div></div></div>'; 

      }
    }
  $post = $orig_post;
  wp_reset_postdata();
  return '<div class="feat-category shortcode">'.$out.'</div>';
 }
}
add_shortcode ('feat_category', 'ShowFeatCategory'); 


if(!function_exists('AnymagPosts')){
  function AnymagPosts($atts, $content = null){
    extract(shortcode_atts(array(
      'title' => '',
      'num' => '6',
      'post_style' => 'post-list',
      'order' => '',
      'pagination' => 'loadmore',
      'category' => '',
      'overlay' => '',
      'show_cats' => 'yes',
      'image_hover' => 'yes',
      'show_author' => 'yes',
      'show_avatar' => 'yes',
      'show_date' => 'yes',
      'show_excerpt' => 'yes',
      'exclude_posts' => '',
      'tag' => '',
      'ignore_sticky_posts' => 'no'
      ), $atts));

     global $post;
     global $paged;
    
    if (is_front_page()) {
      $paged = (get_query_var('page')) ? get_query_var('page') : 1;
    } else {
      $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
    }

    $load_count = $num;

  if ($order == 'rand') {
    $order_by = 'rand';
  }
  else { $order_by = 'date'; }

  $catid='';

  if ($category && $category != 'all') {
    $slug = $category;
    $cat = get_category_by_slug($slug); 
    $catid = $cat->term_id;
  }

  static $section_id = 0;
  ++$section_id;
  $out = '';

    global $post;

    if($exclude_posts != '') {
      $exclude_posts = str_replace(' ', '', $exclude_posts);
      if (strpos($exclude_posts, ',') !== false){
        $exclude_posts = explode(',', $exclude_posts);
        array_push($exclude_posts, $post->ID);
      } else {
        $exclude_posts = array($exclude_posts);
        array_push($exclude_posts, $post->ID);
      }
    } else {
       $exclude_posts = array();
       array_push($exclude_posts, $post->ID);
    } 

    $args = array(
      'post_type'      => 'post',
      'posts_per_page' => $num,
      'paged'          => $paged,
      'order'          => $order,
      'post__not_in'   => $exclude_posts,
      'orderby'        => $order_by,
      'cat'            => $catid,
      'tag'            => $tag,
      'post_status'    => 'publish',
    );
 
    if($paged != 1) {
      $ignore_sticky_posts = 'yes';
      $offset = $num + (($paged - 2) * $num);
          $args['posts_per_page'] = $num;
          $args['offset'] = $offset;
          $args['ignore_sticky_posts'] = $ignore_sticky_posts;
    }
    
    query_posts($args);
    
    if($pagination == 'loadmore' || $pagination == 'infinite') {
      wp_enqueue_script('infinite-scroll');
      $script = "var win = jQuery(window);
        var doc = jQuery(document);
        var viewPosts".$section_id." = jQuery('#blogsection-".$section_id."');
        doc.ready(function($){ 
          viewPosts".$section_id.".infinitescroll({
            navSelector  : '#pagination".$section_id."', 
            nextSelector : '#pagination".$section_id." a',
            itemSelector : '.post-item.sec-".$section_id."', 
            history: true,
            scrollThreshold: true,
                loading: {
                  finishedMsg: '".esc_html__('No more items to load.', 'anymag')."',
                  msgText: '<i class=\"fa fa-spinner fa-spin fa-1x\"></i>'
                },
              },  
            );
              $('#morepgn".$section_id."').click(function () {
                $(this).addClass('active');
                viewPosts".$section_id.".infinitescroll('retrieve');
                return false;
            });
         });";
         if($pagination == 'loadmore') {
            $script .= "jQuery(document).ready(function(){
              viewPosts".$section_id.";
              jQuery(window).unbind('.infscr');
           });";
         }
      wp_add_inline_script('infinite-scroll', $script);
    }

    if(have_posts()){

      $ttlstyle='';

      if (get_theme_mod('anymag_side_pattern', true)) {
        $ttlstyle = 'side-pattern';
      }

      if( $title != ''){
        $out .= '<div class="section-title '.$ttlstyle.'"><h2>'.$title.'</h2></div>';
      }
      
      
      if ($overlay == 'yes'){
        $blockstyle = 'blog-posts overlayed';
      }
      else {$blockstyle = 'blog-posts';}


      if ($post_style == 'post-list') {
      $out .= '<div id="blogsection-'.$section_id.'" class="'.$blockstyle.' post-list one-fr">';
      } elseif ($post_style == 'post-grid') {
        $out .= '<div id="blogsection-'.$section_id.'" class="'.$blockstyle.' two-fr">';
      } elseif ($post_style == 'post-wide') {
        $out .= '<div id="blogsection-'.$section_id.'" class="'.$blockstyle.' post-wide">';
      }

      while (have_posts()) {
        the_post();
        $tmpContent = get_the_content();
        $out .= '<div class="post-item sec-'.$section_id.'">';
        // Get the ID of a given category
        $category = get_the_category();   
        $category_id = '';
        if(isset($category, $category[0])) {
          $category_id = get_cat_ID( $category[0]->cat_name );
        }
 
    // Get the URL of this category
    $category_link = get_category_link( $category_id );
        if(has_post_thumbnail()){
          $out .= '<article>';
        }
        else {
          $out .= '<article class="no-image">';
          }
          if(has_post_thumbnail()) {
            if ($image_hover == 'yes') { $img_class=' hoverzoom';}
            $out .= '<div class="image-part'.$img_class.'">';
            $out .= '<div class="overlay"></div>';
            if(has_post_format('video')) {
              $out .= '<div class="post-format video-post"><i class="fas fa-video"></i></div>';
            }
            elseif(has_post_format('audio')) {
              $out .= '<div class="post-format audio-post"><i class="fas fa-headphones-alt"></i></div>';
            }
            $out .='<a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(), 'anymag-post').'</a>';
            if ($show_cats == 'yes' && get_theme_mod('anymag_categ_style', true) == 'cat-boxed'){
              if ($tag && get_theme_mod('anymag_multiple_issues')) {
                 $out .='<div class="post-categs-box">
                    <span class="categ"><a href="'.$category_link.'?tag='.$tag.'">'.$category[0]->cat_name.'</a></span>
                    </div>';
              } 
            else {
               $out .='<div class="post-categs-box">
                      <span class="categ"><a href="'.$category_link.'">'.$category[0]->cat_name.'</a></span>
                    </div>'; 
                  } 
            }  
            $out .='</div>';      
          }
          $out .= '<div class="content-part"> <div class="the-content"> ';
          if ($show_cats == 'yes' && get_theme_mod('anymag_categ_style') == 'cat-classic'){
            if ($tag && get_theme_mod('anymag_multiple_issues')) {
            $out .='<div class="post-categs">
                      <span class="categ"><a href="'.$category_link.'?tag='.$tag.'">'.$category[0]->cat_name.'</a></span>
                    </div>';
                  }
            else {
            $out .='<div class="post-categs">
                      <span class="categ"><a href="'.$category_link.'">'.$category[0]->cat_name.'</a></span>
                    </div>'; 
                  }      
                }
          if (get_theme_mod('anymag_hover_style', true) == 'hover-underline') {
            $hvrclass='underline';
          }  
          else {
           $hvrclass='';
          }   
            $out .= '<h3 class="post-title '.$hvrclass.'"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.wp_kses_post(get_the_title()).'</a></h3>';
          if ($show_excerpt == 'yes') {
            $out .= '<div class="post-list-entry">
              <p>'.anymag_excerpt(20).'</p>
            </div>';
          }
          if($show_author == 'yes' || $show_date == 'yes') {
            $out .='<ul class="post-meta">';
            if($show_author == 'yes') {
              if($show_avatar == 'yes') {
                $out .='<div class="author-avatar">'.get_avatar(get_the_author_meta('ID'),30).'</div>';
               }
                $out .='<li class="post-author"><span class="author">'.get_the_author_posts_link().'</span></li>'; 
             }
            if($show_date == 'yes') {
             $out .='<li class="list-date"><span datetime="'.esc_attr(date(DATE_W3C)).'">'.get_the_time(get_option('date_format')).'</span></li>';
            }
           $out .= '</ul>';
          }
          $out .= '</div>';
        $out .= '</article>';
        $out .= '</div>';
      }

      $out .= '</div>';
      
      if($pagination == 'loadmore' && get_next_posts_link()) {
        $out .= '<div id="pagination'.$section_id.'" class="hide pagination">'.get_next_posts_link().'</div>';
        $out .= '<div class="loadmore-container"><a id="morepgn'.$section_id.'" href="#" class="loadmore button"><span>'.esc_html__('Load More', 'anymag').'</span></a></div>';
      } elseif( $pagination == 'infinite' && get_next_posts_link() ) {
        $out .= '<div id="pagination'.$section_id.'" class="hide pagination">'.get_next_posts_link().'</div>';
      } elseif($pagination == 'classic' && ( get_next_posts_link() || get_previous_posts_link() ) ) {
        $out .= '<div id="pagination'.$section_id.'">'.anymag_pagination().'</div>';
      } 
    }
    wp_reset_query();
    return $out;
  }
  add_shortcode('show_posts', 'AnymagPosts');
}  

function ShowAddBlock() {
  $addlink = get_theme_mod('anymag_adv_link'); 
  $addimage =  get_theme_mod('anymag_adv_image'); 
  $addalt = get_bloginfo('name');
  if (get_theme_mod('anymag_adv_new')) {
    $out = '<a href="'.$addlink.'" target="_blank"><img src="'.$addimage.'" alt="'.$addalt.'"></a>'; 
  }
  else {
    $out = '<a href="'.$addlink.'"><img src="'.$addimage.'" alt="'.$addalt.'"></a>'; 
  }
  return '<div class="adv-image shortcode">'.$out.'</div>';
}
add_shortcode ('show_add', 'ShowAddBlock');

function ShowTitle($atts) {
  extract(shortcode_atts(array(
  'title' => ''
  ), $atts));

  $out = '<h2>'.$title.'</h2>'; 
  if (get_theme_mod('anymag_side_pattern', true)) {
    $ttlstyle = 'side-pattern';
  }

  return '<div class="section-title '.$ttlstyle.'">'.$out.'</div>';
}
add_shortcode ('show_title', 'ShowTitle');

function IntroLine($atts) {
  extract(shortcode_atts(array(
  'text' => ''
  ), $atts));
  if (is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
  } else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
  }
  if($paged == 1) {

   $out = $text;
   return '<div class="intro-line"><h1>'.$out.'</h1></div>';
 }
}
add_shortcode ('intro_line', 'IntroLine');

?>