<?php
if( function_exists('acf_add_local_field_group') ):

acf_add_local_field_group(array(
	'key' => 'group_5f4ccaecd2702',
	'title' => esc_html__( 'Category', 'anymag' ),
	'fields' => array(
		array(
			'key' => 'field_1',
			'label' => 'Category Image',
			'name' => 'category_image',
			'type' => 'image',
			'instructions' => '',
			'required' => 0,
		),
		array(
			'key' => 'field_anymag_cat_text',
			'label' => 'Category Text',
			'name' => 'category_text',
			'type' => 'wysiwyg',
			'instructions' => '',
			'required' => 0,
		)
	),
	'location' => array(
		array(
			array(
				'param' => 'taxonomy',
				'operator' => '==',
				'value' => 'category',
			),
		),
	),
));


acf_add_local_field_group(array(
	'key' => 'group_5f4ccaecd2700',
	'title' => esc_html__( 'Tag', 'anymag' ),
	'fields' => array(
		array(
			'key' => 'field_2_tag_image',
			'label' => 'Tag Image',
			'name' => 'tag_image',
			'type' => 'image',
			'instructions' => '',
			'required' => 0,
		),
		array(
			'key' => 'field_anymag_tag_text',
			'label' => 'Tag Text',
			'name' => 'tag_text',
			'type' => 'wysiwyg',
			'instructions' => '',
			'required' => 0,
		)
	),
	'location' => array(
		array(
			array(
				'param' => 'taxonomy',
				'operator' => '==',
				'value' => 'post_tag',
			),
		),
	),
));


acf_add_local_field_group(array(
	'key' => 'group_5face3f303ddd',
	'title' => esc_html__('Page Options', 'anymag' ),
	'fields' => array(
		array(
			'key' => 'field_anymag_page_elements_tab',
			'label' => esc_html__( 'Page Elements', 'anymag' ),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
	  array(
			'key' => 'field_page_alt_logo',
			'label' => 'Page Logo',
			'name' => 'page_logo',
			'type' => 'image',
			'instructions' => '',
			'required' => 0,
		),
		array(
			'key' => 'field_anymag_page_descr',
			'label' => esc_html__('Page Description', 'anymag' ),
			'name' => 'anymag_page_descr',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => '',
		),
		array(
			'key' => 'field_anymag_page_hide_title',
			'label' => esc_html__('Hide Title', 'anymag' ),
			'name' => 'anymag_page_hide_title',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_anymag_page_hide_image',
			'label' => esc_html__('Hide Image', 'anymag' ),
			'name' => 'anymag_page_hide_image',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_anymag_page_overlay_opacity',
			'label' => esc_html__('Image Overlay Opacity', 'anymag' ),
			'name' => 'anymag_page_overlay_opacity',
			'type' => 'range',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 3,
			'min' => 0,
			'max' => 9,
			'step' => '',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_anymag_page_color_tab',
			'label' => esc_html__( 'Colors', 'anymag' ),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
	    'key' => 'field_anymag_page_bg_color',
	    'label' => esc_html__('Post Background Color', 'anymag' ),
	    'name' => 'anymag_page_bg_color',
	    'type' => 'color_picker',
	    'instructions' => '',
	    'required' => 0,
	    'conditional_logic' => 0,
	    'wrapper' => array(
	        'width' => '',
	        'class' => '',
	        'id' => '',
	    ),
	    'default_value' => '',
	  ),
	  array(
	    'key' => 'field_anymag_page_head_color',
	    'label' => esc_html__('Page Headings Color', 'anymag' ),
	    'name' => 'anymag_page_head_color',
	    'type' => 'color_picker',
	    'instructions' => '',
	    'required' => 0,
	    'conditional_logic' => 0,
	    'wrapper' => array(
	        'width' => '',
	        'class' => '',
	        'id' => '',
	    ),
	    'default_value' => '',
	  ),
		array(
	    'key' => 'field_anymag_page_text_color',
	    'label' => esc_html__('Page Text Color', 'anymag' ),
	    'name' => 'anymag_page_text_color',
	    'type' => 'color_picker',
	    'instructions' => '',
	    'required' => 0,
	    'conditional_logic' => 0,
	    'wrapper' => array(
	        'width' => '',
	        'class' => '',
	        'id' => '',
	    ),
	    'default_value' => '',
	  ),
	  array(
	    'key' => 'field_anymag_page_link_color',
	    'label' => esc_html__('Page Link Color', 'anymag' ),
	    'name' => 'anymag_post_link_color',
	    'type' => 'color_picker',
	    'instructions' => '',
	    'required' => 0,
	    'conditional_logic' => 0,
	    'wrapper' => array(
	        'width' => '',
	        'class' => '',
	        'id' => '',
	    ),
	    'default_value' => '',
	  ),
	  array(
	    'key' => 'field_anymag_page_link_hover_color',
	    'label' => esc_html__('Page Link Hover Color', 'anymag' ),
	    'name' => 'anymag_page_link_hover_color',
	    'type' => 'color_picker',
	    'instructions' => '',
	    'required' => 0,
	    'conditional_logic' => 0,
	    'wrapper' => array(
	        'width' => '',
	        'class' => '',
	        'id' => '',
	    ),
	    'default_value' => '',
	  ),
	  array(
			'key' => 'field_anymag_page_footer_tab',
			'label' => esc_html__( 'Page Footer', 'anymag' ),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_anymag_page_hide_footer',
			'label' => esc_html__('Hide Footer', 'anymag' ),
			'name' => 'anymag_page_hide_footer',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
	    'key' => 'field_anymag_page_footer_bg_color',
	    'label' => esc_html__('Footer Background Color', 'anymag' ),
	    'name' => 'anymag_page_footer_bg_color',
	    'type' => 'color_picker',
	    'instructions' => '',
	    'required' => 0,
	    'conditional_logic' => 0,
	    'wrapper' => array(
	        'width' => '',
	        'class' => '',
	        'id' => '',
	    ),
	    'default_value' => '',
	  ),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'page',
			),
		),
	),
));
acf_add_local_field_group(array(
	'key' => 'group_5fbbda45eb451',
	'title' => esc_html__('Post Options', 'anymag' ),
	'fields' => array(
		array(
			'key' => 'field_anymag_post_elements_tab',
			'label' => esc_html__( 'Post Elements', 'anymag' ),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_post_alt_logo',
			'label' => 'Post Logo',
			'name' => 'post_logo',
			'type' => 'image',
			'instructions' => '',
			'required' => 0,
		),
		array(
			'key' => 'field_anymag_post_descr',
			'label' => esc_html__('Post Description', 'anymag' ),
			'name' => 'anymag_post_descr',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => '',
		),
		array(
			'key' => 'field_anymag_post_hide_title',
			'label' => esc_html__('Hide Title', 'anymag' ),
			'name' => 'anymag_post_hide_title',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_anymag_post_hide_image',
			'label' => esc_html__('Hide Image', 'anymag' ),
			'name' => 'anymag_post_hide_image',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_anymag_post_overlay_opacity',
			'label' => esc_html__('Image Overlay Opacity', 'anymag' ),
			'name' => 'anymag_post_overlay_opacity',
			'type' => 'range',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 3,
			'min' => 0,
			'max' => 9,
			'step' => '',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_anymag_post_color_tab',
			'label' => esc_html__( 'Colors', 'anymag' ),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
	    'key' => 'field_anymag_post_bg_color',
	    'label' => esc_html__('Post Background Color', 'anymag' ),
	    'name' => 'anymag_post_bg_color',
	    'type' => 'color_picker',
	    'instructions' => '',
	    'required' => 0,
	    'conditional_logic' => 0,
	    'wrapper' => array(
	        'width' => '',
	        'class' => '',
	        'id' => '',
	    ),
	    'default_value' => '',
	  ),
	  array(
	    'key' => 'field_anymag_post_cat_color',
	    'label' => esc_html__('Post Category Color', 'anymag' ),
	    'name' => 'anymag_post_cat_color',
	    'type' => 'color_picker',
	    'instructions' => '',
	    'required' => 0,
	    'conditional_logic' => 0,
	    'wrapper' => array(
	        'width' => '',
	        'class' => '',
	        'id' => '',
	    ),
	    'default_value' => '',
	  ),
		array(
	    'key' => 'field_anymag_post_head_color',
	    'label' => esc_html__('Post Headings Color', 'anymag' ),
	    'name' => 'anymag_post_head_color',
	    'type' => 'color_picker',
	    'instructions' => '',
	    'required' => 0,
	    'conditional_logic' => 0,
	    'wrapper' => array(
	        'width' => '',
	        'class' => '',
	        'id' => '',
	    ),
	    'default_value' => '',
	  ),
		array(
	    'key' => 'field_anymag_post_text_color',
	    'label' => esc_html__('Post Text Color', 'anymag' ),
	    'name' => 'anymag_post_text_color',
	    'type' => 'color_picker',
	    'instructions' => '',
	    'required' => 0,
	    'conditional_logic' => 0,
	    'wrapper' => array(
	        'width' => '',
	        'class' => '',
	        'id' => '',
	    ),
	    'default_value' => '',
	  ),
		array(
	    'key' => 'field_anymag_post_link_color',
	    'label' => esc_html__('Post Link Color', 'anymag' ),
	    'name' => 'anymag_post_link_color',
	    'type' => 'color_picker',
	    'instructions' => '',
	    'required' => 0,
	    'conditional_logic' => 0,
	    'wrapper' => array(
	        'width' => '',
	        'class' => '',
	        'id' => '',
	    ),
	    'default_value' => '',
	  ),
	  array(
	    'key' => 'field_anymag_post_link_hover_color',
	    'label' => esc_html__('Post Link Hover Color', 'anymag' ),
	    'name' => 'anymag_post_link_hover_color',
	    'type' => 'color_picker',
	    'instructions' => '',
	    'required' => 0,
	    'conditional_logic' => 0,
	    'wrapper' => array(
	        'width' => '',
	        'class' => '',
	        'id' => '',
	    ),
	    'default_value' => '',
	  ),
	  array(
	    'key' => 'field_anymag_post_meta_color',
	    'label' => esc_html__('Post Meta Color', 'anymag' ),
	    'name' => 'anymag_post_meta_color',
	    'type' => 'color_picker',
	    'instructions' => '',
	    'required' => 0,
	    'conditional_logic' => 0,
	    'wrapper' => array(
	        'width' => '',
	        'class' => '',
	        'id' => '',
	    ),
	    'default_value' => '',
	  ),
	  array(
			'key' => 'field_anymag_post_footer_tab',
			'label' => esc_html__( 'Post Footer', 'anymag' ),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_anymag_post_hide_footer',
			'label' => esc_html__('Hide Footer', 'anymag' ),
			'name' => 'anymag_post_hide_footer',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
	    'key' => 'field_anymag_post_footer_bg_color',
	    'label' => esc_html__('Footer Background Color', 'anymag' ),
	    'name' => 'anymag_post_footer_bg_color',
	    'type' => 'color_picker',
	    'instructions' => '',
	    'required' => 0,
	    'conditional_logic' => 0,
	    'wrapper' => array(
	        'width' => '',
	        'class' => '',
	        'id' => '',
	    ),
	    'default_value' => '',
	  ),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
	),
));

endif;